Bug 175430 - [PATCH] textproc/dwdiff: update to 2.0.4
Summary: [PATCH] textproc/dwdiff: update to 2.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 13:50 UTC by Po-Chien Lin
Modified: 2013-03-13 19:40 UTC (History)
1 user (show)

See Also:


Attachments
dwdiff-2.0.4.patch (4.26 KB, patch)
2013-01-19 13:50 UTC, Po-Chien Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2013-01-19 13:50:00 UTC
- Update to 2.0.4
- Remove dead mirror site and add fossies.org to MASTER_SITES
- Switch to OptionsNG
- Move LICENSE section upper
- Since 2.0 release, dwdiff is no longer a front-end for the diff program,
  so modify the description in pkg-descr

ChangeLog:
    http://fossies.org/unix/privat/dwdiff-2.0.4.tgz:a/dwdiff-2.0.4/Changelog
Comment 1 Edwin Groothuis freebsd_committer 2013-01-19 13:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 02:48:56 UTC
Responsible Changed
From-To: avl->freebsd-ports-bugs

Maintainer was reset.
Comment 3 Pawel Pekala freebsd_committer 2013-03-13 19:33:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-03-13 19:38:37 UTC
Author: pawel
Date: Wed Mar 13 19:38:29 2013
New Revision: 314110
URL: http://svnweb.freebsd.org/changeset/ports/314110

Log:
  - Update to version 2.0.4
  - Remove dead mirror site and add fossies.org to MASTER_SITES
  - Since 2.0 release, dwdiff is no longer a front-end for the diff program,
    so modify the description in pkg-descr
  
  PR:		ports/175430
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/textproc/dwdiff/Makefile
  head/textproc/dwdiff/distinfo   (contents, props changed)
  head/textproc/dwdiff/pkg-descr   (contents, props changed)
  head/textproc/dwdiff/pkg-plist   (contents, props changed)

Modified: head/textproc/dwdiff/Makefile
==============================================================================
--- head/textproc/dwdiff/Makefile	Wed Mar 13 19:26:28 2013	(r314109)
+++ head/textproc/dwdiff/Makefile	Wed Mar 13 19:38:29 2013	(r314110)
@@ -2,16 +2,15 @@
 # $FreeBSD$
 
 PORTNAME=	dwdiff
-PORTVERSION=	1.9
-PORTREVISION=	1
+PORTVERSION=	2.0.4
 CATEGORIES=	textproc
 MASTER_SITES=	http://os.ghalkes.nl/dist/ \
-		http://www.logvinov.ru/files/dist/ \
+ 		http://fossies.org/unix/privat/ \
 		LOCAL/avl
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A delimited word diff program
+COMMENT=	Delimited word diff program
 
 LICENSE=	GPLv3
 

Modified: head/textproc/dwdiff/distinfo
==============================================================================
--- head/textproc/dwdiff/distinfo	Wed Mar 13 19:26:28 2013	(r314109)
+++ head/textproc/dwdiff/distinfo	Wed Mar 13 19:38:29 2013	(r314110)
@@ -1,2 +1,2 @@
-SHA256 (dwdiff-1.9.tgz) = 602a6728f317717041ff83d46737c92e2b08491fd44370f70d956fc7b7db6219
-SIZE (dwdiff-1.9.tgz) = 76488
+SHA256 (dwdiff-2.0.4.tgz) = 0e467dbb2cc52d81f3e070adab823ac2a9170cac1910bc02bb8edec3f75e0b3d
+SIZE (dwdiff-2.0.4.tgz) = 85930

Modified: head/textproc/dwdiff/pkg-descr
==============================================================================
--- head/textproc/dwdiff/pkg-descr	Wed Mar 13 19:26:28 2013	(r314109)
+++ head/textproc/dwdiff/pkg-descr	Wed Mar 13 19:38:29 2013	(r314110)
@@ -1,15 +1,14 @@
-dwdiff is a front-end for the diff program that operates at the word level
-instead of the line level. It is different from wdiff in that it allows the
-user to specify what should be considered whitespace, and in that it takes an
-optional list of characters that should be considered delimiters. Delimiters
-are single characters that are treated as if they are words, even when there
-is no whitespace separating them from preceding words or delimiters. dwdiff
-is mostly commandline compatible with wdiff. Only the --autopager, --terminal
+dwdiff is a diff program that operates at the word level instead of the line
+level. It is different from wdiff in that it allows the user to specify what
+should be considered whitespace, and in that it takes an optional list of
+characters that should be considered delimiters. Delimiters are single
+characters that are treated as if they are words, even when there is no
+whitespace separating them from preceding words or delimiters. dwdiff is
+mostly commandline compatible with wdiff. Only the --autopager, --terminal
 and --avoid-wraps options are not supported.
 
 The default output from dwdiff is the new text, with the deleted and inserted
 parts annotated with markers. Command line options are available to change
 both what is printed, and the markers.
 
-Author: Gertjan Halkes <dwdiff@ghalkes.nl>
 WWW: http://os.ghalkes.nl/dwdiff.html

Modified: head/textproc/dwdiff/pkg-plist
==============================================================================
--- head/textproc/dwdiff/pkg-plist	Wed Mar 13 19:26:28 2013	(r314109)
+++ head/textproc/dwdiff/pkg-plist	Wed Mar 13 19:38:29 2013	(r314110)
@@ -1,9 +1,9 @@
 bin/dwdiff
 bin/dwfilter
 %%NLS%%share/locale/de/LC_MESSAGES/dwdiff.mo
+%%NLS%%share/locale/es/LC_MESSAGES/dwdiff.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/dwdiff.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/dwdiff.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/dwdiff.mo
 %%NLS%%@dirrmtry man/nl.UTF-8/man1
 %%NLS%%@dirrmtry man/nl.UTF-8
 %%NLS%%@dirrmtry man/nl/man1
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-03-13 19:38:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!